GET Forms?assetId={assetId}&formTypeId={formTypeId}&take={take}&skip={skip}&sort[0].Field={sort[0].Field}&sort[0].Dir={sort[0].Dir}&sort[1].Field={sort[1].Field}&sort[1].Dir={sort[1].Dir}&includeAttachmentContent={includeAttachmentContent}
Retrieves forms for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| formTypeId |
Id of the form type |
globally unique identifier |
None. |
| take |
Number of forms to retrieve. Default is all forms |
integer |
None. |
| skip |
Number of forms to skip before retrieval |
integer |
Default value is 0 |
| sort |
List of sorting rules to describe how to sort the forms before retrieval |
Collection of Sort |
None. |
| Operator | string |
None. |
|
| Field | string |
None. |
|
| Value | string |
None. |
|
| Logic | string |
None. |
|
| Filters | Collection of Filter |
None. |
|
| includeAttachmentContent |
Include the file contents of the form field values if applicable |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of forms.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Form |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"FormId": "7afb8d26-a830-4e2e-a205-fdc1299123ab",
"Asset": {
"AssetId": "ab3f4876-ad81-4942-84e7-4e3a2a092179",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "42ab6e44-bdee-40c0-9b0d-35a50fc6e19d",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "f0d1c9cc-3fb4-4a57-bdf8-00e95a55bf27",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "df0180b2-3775-4bfa-8893-c07c4160e9d3",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-22T07:58:43.5896997-07:00",
"MeasurementValueNeededDate": "2026-10-22T07:58:43.5896997-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "6b50399e-287e-4999-9ead-43b7621d8d92",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-22T07:58:43.5896997-07:00",
"MeasurementValueNeededDate": "2026-10-22T07:58:43.5896997-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "d6615b27-6d9c-4ae8-87c5-794ecd89a604",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "ed4d3acf-8cd2-47fa-a445-486fbc05bcf9",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "42ab6e44-bdee-40c0-9b0d-35a50fc6e19d",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "f0d1c9cc-3fb4-4a57-bdf8-00e95a55bf27",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-22T07:58:43.5896997-07:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "5c609955-79f1-47f2-9b49-9e1330b231ff",
"Section": {
"FormTypeSectionId": "7c750ba8-fdf3-4489-824a-c1875fc429b7",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "68d1cd27-ffb7-45c2-90fb-06cc071d33e9",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "c7fc6183-eda1-4d59-8f08-d328ebb18aa8",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d2dc91cd-2154-45a3-8556-3d428d33ab38",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "dacfa039-e25c-4279-a43c-7b7997f52739",
"FieldId": "828b4a98-d05f-41a2-be5c-e853451bce5e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "dacfa039-e25c-4279-a43c-7b7997f52739",
"FieldId": "828b4a98-d05f-41a2-be5c-e853451bce5e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "5c609955-79f1-47f2-9b49-9e1330b231ff",
"Section": {
"FormTypeSectionId": "7c750ba8-fdf3-4489-824a-c1875fc429b7",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "68d1cd27-ffb7-45c2-90fb-06cc071d33e9",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "c7fc6183-eda1-4d59-8f08-d328ebb18aa8",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d2dc91cd-2154-45a3-8556-3d428d33ab38",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "dacfa039-e25c-4279-a43c-7b7997f52739",
"FieldId": "828b4a98-d05f-41a2-be5c-e853451bce5e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "dacfa039-e25c-4279-a43c-7b7997f52739",
"FieldId": "828b4a98-d05f-41a2-be5c-e853451bce5e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "67c4ef73-16a3-44dd-afd8-ebd9b12c81b8",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-10-22T07:58:43.5896997-07:00",
"Location": "sample string 1",
"TaskId": "6777d4ae-4210-47be-a961-7eb6ff3a9675",
"Values": [
{
"FormFieldValueId": "348caea9-a65e-45d7-88b5-b9288231846f",
"FormId": "c2884597-52d1-4c38-b658-b734d6f04f90",
"FormTypeField": {
"FormTypeFieldId": "5c609955-79f1-47f2-9b49-9e1330b231ff",
"FormType": {
"FormTypeId": "ed4d3acf-8cd2-47fa-a445-486fbc05bcf9",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "42ab6e44-bdee-40c0-9b0d-35a50fc6e19d",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "f0d1c9cc-3fb4-4a57-bdf8-00e95a55bf27",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-22T07:58:43.5896997-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "67c4ef73-16a3-44dd-afd8-ebd9b12c81b8",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "7c750ba8-fdf3-4489-824a-c1875fc429b7",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "68d1cd27-ffb7-45c2-90fb-06cc071d33e9",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "c7fc6183-eda1-4d59-8f08-d328ebb18aa8",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d2dc91cd-2154-45a3-8556-3d428d33ab38",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "dacfa039-e25c-4279-a43c-7b7997f52739",
"FieldId": "828b4a98-d05f-41a2-be5c-e853451bce5e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "dacfa039-e25c-4279-a43c-7b7997f52739",
"FieldId": "828b4a98-d05f-41a2-be5c-e853451bce5e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "348caea9-a65e-45d7-88b5-b9288231846f",
"FormId": "c2884597-52d1-4c38-b658-b734d6f04f90",
"FormTypeField": {
"FormTypeFieldId": "5c609955-79f1-47f2-9b49-9e1330b231ff",
"FormType": {
"FormTypeId": "ed4d3acf-8cd2-47fa-a445-486fbc05bcf9",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "42ab6e44-bdee-40c0-9b0d-35a50fc6e19d",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "f0d1c9cc-3fb4-4a57-bdf8-00e95a55bf27",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-22T07:58:43.5896997-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "67c4ef73-16a3-44dd-afd8-ebd9b12c81b8",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "7c750ba8-fdf3-4489-824a-c1875fc429b7",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "68d1cd27-ffb7-45c2-90fb-06cc071d33e9",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "c7fc6183-eda1-4d59-8f08-d328ebb18aa8",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d2dc91cd-2154-45a3-8556-3d428d33ab38",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "dacfa039-e25c-4279-a43c-7b7997f52739",
"FieldId": "828b4a98-d05f-41a2-be5c-e853451bce5e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "dacfa039-e25c-4279-a43c-7b7997f52739",
"FieldId": "828b4a98-d05f-41a2-be5c-e853451bce5e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "52da3d2c-380e-4b30-9d8c-f3f22cc2bea3",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 5"
},
{
"FormId": "7afb8d26-a830-4e2e-a205-fdc1299123ab",
"Asset": {
"AssetId": "ab3f4876-ad81-4942-84e7-4e3a2a092179",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "42ab6e44-bdee-40c0-9b0d-35a50fc6e19d",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "f0d1c9cc-3fb4-4a57-bdf8-00e95a55bf27",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "df0180b2-3775-4bfa-8893-c07c4160e9d3",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-22T07:58:43.5896997-07:00",
"MeasurementValueNeededDate": "2026-10-22T07:58:43.5896997-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "6b50399e-287e-4999-9ead-43b7621d8d92",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-22T07:58:43.5896997-07:00",
"MeasurementValueNeededDate": "2026-10-22T07:58:43.5896997-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "d6615b27-6d9c-4ae8-87c5-794ecd89a604",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 8"
},
"FormType": {
"FormTypeId": "ed4d3acf-8cd2-47fa-a445-486fbc05bcf9",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "42ab6e44-bdee-40c0-9b0d-35a50fc6e19d",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "f0d1c9cc-3fb4-4a57-bdf8-00e95a55bf27",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-22T07:58:43.5896997-07:00",
"Active": true,
"Fields": [
{
"FormTypeFieldId": "5c609955-79f1-47f2-9b49-9e1330b231ff",
"Section": {
"FormTypeSectionId": "7c750ba8-fdf3-4489-824a-c1875fc429b7",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "68d1cd27-ffb7-45c2-90fb-06cc071d33e9",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "c7fc6183-eda1-4d59-8f08-d328ebb18aa8",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d2dc91cd-2154-45a3-8556-3d428d33ab38",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "dacfa039-e25c-4279-a43c-7b7997f52739",
"FieldId": "828b4a98-d05f-41a2-be5c-e853451bce5e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "dacfa039-e25c-4279-a43c-7b7997f52739",
"FieldId": "828b4a98-d05f-41a2-be5c-e853451bce5e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
{
"FormTypeFieldId": "5c609955-79f1-47f2-9b49-9e1330b231ff",
"Section": {
"FormTypeSectionId": "7c750ba8-fdf3-4489-824a-c1875fc429b7",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "68d1cd27-ffb7-45c2-90fb-06cc071d33e9",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "c7fc6183-eda1-4d59-8f08-d328ebb18aa8",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d2dc91cd-2154-45a3-8556-3d428d33ab38",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "dacfa039-e25c-4279-a43c-7b7997f52739",
"FieldId": "828b4a98-d05f-41a2-be5c-e853451bce5e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "dacfa039-e25c-4279-a43c-7b7997f52739",
"FieldId": "828b4a98-d05f-41a2-be5c-e853451bce5e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
}
],
"SourceSystemId": "sample string 4",
"CompanyId": "67c4ef73-16a3-44dd-afd8-ebd9b12c81b8",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 7"
},
"EffectiveDate": "2026-10-22T07:58:43.5896997-07:00",
"Location": "sample string 1",
"TaskId": "6777d4ae-4210-47be-a961-7eb6ff3a9675",
"Values": [
{
"FormFieldValueId": "348caea9-a65e-45d7-88b5-b9288231846f",
"FormId": "c2884597-52d1-4c38-b658-b734d6f04f90",
"FormTypeField": {
"FormTypeFieldId": "5c609955-79f1-47f2-9b49-9e1330b231ff",
"FormType": {
"FormTypeId": "ed4d3acf-8cd2-47fa-a445-486fbc05bcf9",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "42ab6e44-bdee-40c0-9b0d-35a50fc6e19d",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "f0d1c9cc-3fb4-4a57-bdf8-00e95a55bf27",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-22T07:58:43.5896997-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "67c4ef73-16a3-44dd-afd8-ebd9b12c81b8",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "7c750ba8-fdf3-4489-824a-c1875fc429b7",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "68d1cd27-ffb7-45c2-90fb-06cc071d33e9",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "c7fc6183-eda1-4d59-8f08-d328ebb18aa8",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d2dc91cd-2154-45a3-8556-3d428d33ab38",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "dacfa039-e25c-4279-a43c-7b7997f52739",
"FieldId": "828b4a98-d05f-41a2-be5c-e853451bce5e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "dacfa039-e25c-4279-a43c-7b7997f52739",
"FieldId": "828b4a98-d05f-41a2-be5c-e853451bce5e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
},
{
"FormFieldValueId": "348caea9-a65e-45d7-88b5-b9288231846f",
"FormId": "c2884597-52d1-4c38-b658-b734d6f04f90",
"FormTypeField": {
"FormTypeFieldId": "5c609955-79f1-47f2-9b49-9e1330b231ff",
"FormType": {
"FormTypeId": "ed4d3acf-8cd2-47fa-a445-486fbc05bcf9",
"Name": "sample string 1",
"Description": "sample string 2",
"AssetType": {
"AssetTypeId": "42ab6e44-bdee-40c0-9b0d-35a50fc6e19d",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "f0d1c9cc-3fb4-4a57-bdf8-00e95a55bf27",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 7"
},
"FrequencyNeeded": 1,
"ValueNeededDate": "2026-10-22T07:58:43.5896997-07:00",
"Active": true,
"Fields": [],
"SourceSystemId": "sample string 4",
"CompanyId": "67c4ef73-16a3-44dd-afd8-ebd9b12c81b8",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 7"
},
"Section": {
"FormTypeSectionId": "7c750ba8-fdf3-4489-824a-c1875fc429b7",
"Name": "sample string 1",
"Label": "sample string 2",
"DisplayOrder": 1,
"IsRepeatable": true,
"VisibleExpression": "sample string 4",
"SourceSystemId": "sample string 5"
},
"Name": "sample string 1",
"Label": "sample string 2",
"Description": "sample string 3",
"DataType": {
"DataTypeId": "68d1cd27-ffb7-45c2-90fb-06cc071d33e9",
"Name": "sample string 1"
},
"Unit": {
"UnitId": "c7fc6183-eda1-4d59-8f08-d328ebb18aa8",
"Code": "sample string 1",
"Description": "sample string 2",
"SourceSystemId": "sample string 3",
"CompanyId": "d2dc91cd-2154-45a3-8556-3d428d33ab38",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 6"
},
"DisplayOrder": 1,
"MinValue": 1.0,
"MaxValue": 1.0,
"MinLength": 1,
"MaxLength": 1,
"HasValidValues": true,
"ValidValues": [
{
"ValidValueId": "dacfa039-e25c-4279-a43c-7b7997f52739",
"FieldId": "828b4a98-d05f-41a2-be5c-e853451bce5e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
},
{
"ValidValueId": "dacfa039-e25c-4279-a43c-7b7997f52739",
"FieldId": "828b4a98-d05f-41a2-be5c-e853451bce5e",
"FieldName": "sample string 1",
"FieldLabel": "sample string 2",
"ValueText": "sample string 3",
"LabelText": "sample string 4"
}
],
"ValueExpression": "sample string 5",
"RequiredExpression": "sample string 6",
"IsAttachment": true,
"DefaultValueExpression": "sample string 8",
"IsAccumulator": true,
"IsMultiline": true,
"IsRepeatable": true,
"VisibleExpression": "sample string 12",
"SourceSystemId": "sample string 13"
},
"SectionIndex": 1,
"FieldIndex": 1,
"FileName": "sample string 1",
"FileType": "sample string 2",
"FileSize": 1,
"FileContent": "QEA=",
"ValueText": "sample string 3",
"IsValid": true,
"IsValidMessage": "sample string 5",
"SourceSystemId": "sample string 6"
}
],
"SourceSystemId": "sample string 2",
"CompanyId": "52da3d2c-380e-4b30-9d8c-f3f22cc2bea3",
"CreateDate": "2026-10-22T07:58:43.5896997-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-22T07:58:43.5896997-07:00",
"LastModifiedUser": "sample string 5"
}
],
"Total": 1,
"Message": "sample string 1"
}